from machine import PWM, Pin
from ads1x15 import ADS1015

P_PWM_HORZ = 18
P_PWM_VERT = 19
VMAX = 1600

def valueToDuty(v):
    return int(v / VMAX * 100 + 30)

servoHorz = PWM(Pin(P_PWM_HORZ), freq = 50)
servoVert = PWM(Pin(P_PWM_VERT), freq = 50)

adc = ADS1015()
while True:
    horz = VMAX - adc.read(0)
    vert = adc.read(1)
    servoHorz.duty(valueToDuty(horz))
    servoVert.duty(valueToDuty(vert))
