# WebServer7.py

from oxocardext import *
from tcpcom import *

html = """<!DOCTYPE html>
<html>
  <head> <title>Oxocard Color Controller</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  </head>
  <body>
     <h2>Welcome To The Color Controller</h2>
     <b>Drag to change colors and press SUBMIT</b>
     <p>
     <form method="get">
        <input type="range" min="0" max="100" name="red" value="%s">red <br /><br />
        <input type="range" min="0" max="100" name="green" value="%s">green<br><br />
        <input type="range" min="0" max="100" name="blue" value="%s">blue<br /><br />
       <input type="submit" name="submit" value="SUBMIT">
     </form></p>
     <br>
     Current r = %s, g = %s, b = %s
  </body>
</html>
"""

def onRequest(clientIP, filename, params):
    global r, g, b
    if len(params) > 0:
        r = int(params[0][1])
        g = int(params[1][1])
        b = int(params[2][1])
        print(r, g, b)
    return html%(r, g, b, r, g, b)

r = g = b = 100
oldR = oldG = oldB = 0

if not Wlan.connect("raspilink", "aabbaabbaabb"):
    print("Connection to AP failed")
else:
    print("Successfully connected to AP. IP:", Wlan.getMyIPAddress())
    HTTPServer(requestHandler = onRequest)
    while True:
        if r != oldR or g != oldG or b != oldB:
            fillRectangle(2, 2, 4, 4, (r, g, b))
            oldR = r
            oldG = g
            oldB = b
        sleep(1)